# Get online/offline status

This endpoint allows you to query the online/offline status of a POS

Endpoint: GET /locations/{tcLocationId}
Version: 1.0
Security: JWT

## Path parameters:

  - `tcLocationId` (string, required)
    Tyro Connect Location Id for which the online/offline status should be retrieved

## Header parameters:

  - `Authorization` (string, required)

## Response 200 fields (application/json):

  - `locationId` (string, required)
    The Tyro Connect Location Id for which the following information applies

  - `pos` (object, required)
    Information about the POS itself

  - `pos.vendor` (string, required)
    The POS vendor

  - `pos.version` (string)
    The version of the POS software

  - `pos.apis` (array)
    This is a list of all APIs supported by the POS

  - `pos.apis.api` (string, required)
    The name of the supported API
    Enum: "BOOKING", "FOOD_ORDERING", "LOYALTY", "PAYMENTS", "SALES", "LOCATION"

  - `pos.apis.version` (string, required)
    The supported version of the API

  - `status` (object, required)
    Information about the online/offline status

  - `status.code` (string, required)
    The online (GREEN) / offline (RED) status of the POS
    Enum: "GREEN", "RED"

  - `status.lastOnlineAt` (string, required)
    Time stamp of when Tyro received the last GREEN status update. Can be null if the status has never been GREEN.

  - `status.reason` (string)
    When the code changed to RED, this property provides the reason for the change


## Response 403 fields
